Cls .23

Print "                                 POWER: "
Print "          THIS PROGRAM ESTIMATES THE STATISTICAL POWER TO DETECT A"
Print "               DICHOTOMOUS MODERATOR VARIABLE WITH MMR"
Print "                FOR SPECIFIED CONDITIONS OF EFFECT SIZE,"
Print "                       TOTAL SAMPLE SIZE, AND"
Print "               SAMPLE SIZES IN MODERATOR-BASED SUBGROUPS"
Print: Print
Print
Print "Citation: "
Print "Aguinis, H., Pierce, C. A., & Stone-Romero, E. F.  (1994).  Estimating"
Print " the power to detect dichotomous moderators with moderated multiple"
Print " regression. Educational and Psychological Measurement, 54, 690- 692"
Print
Print "Contact Information: "
Print "Herman Aguinis, The George Washington University,"
Print "EMAIL: haguinis@gwu.edu, https://www.hermanaguinis.com"
Print
Print "Please Enter the Correlation Between Variables X and Y"
Input "                 for SUBGROUP 1"; rxyZ1
Print "Please Enter the Correlation Between Variables X and Y"
Input "                 for SUBGROUP 2"; rxyZ2
Print
Input "Please Enter the Sample Size for SUBGROUP 1"; n1
Input "Please Enter the Sample Size for SUBGROUP 2"; n2

FISHZ1 = .5 * Log((1 + rxyZ1) / (1 - rxyZ1))
FISHZ2 = .5 * Log((1 + rxyZ2) / (1 - rxyZ2))
ZDIFF = Abs(FISHZ1 - FISHZ2)
TOTN = n1 + n2
p1 = n1 / TOTN
p1TOTN = p1 * TOTN
p1ZDIFF = p1 * ZDIFF
TOTNZDIF = TOTN * ZDIFF

TOTNZDp1 = p1 * TOTN * ZDIFF

ESTPOWER = .007088 + (-.46 * p1) + (-.000623 * TOTN) + (.09 * ZDIFF) + (.00414 * TOTNZDIF) + (1.64 * p1ZDIFF) + (.00498 * p1TOTN) + (-.00738 * TOTNZDp1)

If ESTPOWER > 1! Then ESTPOWER = 1!

If ESTPOWER < 0 Then ESTPOWER = 0
Print
Color 31
Print "                *** The Estimated Power for alpha = .05 is: "; ESTPOWER; "***"
Color 7
End


